from phycas import *
setMasterSeed(98765)
mcmc.data_source = 'C_reptans_ITS.nex'
mcmc.out.log = 'C_reptans_ITS_phycas.log'
mcmc.out.log.mode = REPLACE
mcmc.allow_polytomies = True
mcmc.polytomy_prior = False
mcmc.topo_prior_C = 1.0
mcmc.out.trees.prefix = 'C_reptans_ITS'
mcmc.out.params.prefix = 'C_reptans_ITS'
mcmc.ncycles = 50000
mcmc.sample_every = 10
# Set up the K80+I model for 5pt8S
model.type="hky"
model.state_freqs = [0.25, 0.25, 0.25, 0.25]
model.fix_freqs = True
model.kappa = 2.0
model.kappa_prior = BetaPrime(1.0, 1.0)
model.pinvar_model = True
# Save the K80+I model for 5pt8S
m2 = model()
# Set up the HKY+G model for ITS1
model.type="hky"
model.state_freqs = [0.1487, 0.3566, 0.2704, 0.2244]
model.fix_freqs = False
model.kappa = 2.0
model.kappa_prior = BetaPrime(1.0, 1.0)
model.num_rates = 4
model.gamma_shape = 0.5
model.gamma_shape_prior = Exponential(1.0)
model.pinvar_model = False
# Save the HKY+G model for ITS1
m1 = model()
# Set up the HKY+G model for ITS2
model.state_freqs = [0.1419, 0.3069, 0.3199, 0.2314]
# Save the HKY+G model for ITS2
m3 = model()
# Define partition subsets
its1 = subset(1, 544)
fivept8S = subset(545, 705)
its2 = subset(706, 1018)
# Assign partition models to subsets
partition.addSubset(its1, m1, "ITS1")
partition.addSubset(fivept8S, m2, "5pt8S")
partition.addSubset(its2, m3, "ITS2")
partition()
# Start the run
mcmc()
# Summarize the posterior
sumt.trees = 'C_reptans_ITS.t'
sumt.burnin = 50
sumt.tree_credible_prob = 1.0
sumt()